Skip to main content
POST
/
projects
/
{project_id}
/
invitations
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "state": "pending",
  "project_id": "<string>",
  "role": "admin",
  "email": "jsmith@example.com",
  "owner": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "display_name": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z",
  "environments": [
    {
      "id": "<string>",
      "type": "<string>",
      "role": "admin",
      "title": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required

The ID of the project.

Body

application/json
email
string<email>
required

The email address of the invitee.

role
enum<string>

The role the invitee should be given on the project.

Available options:
admin,
viewer
permissions
object[]

Specifying the role on each environment type.

environments
object[]
deprecated

(Deprecated, use permissions instead) Specifying the role on each environment.

force
boolean

Whether to cancel any pending invitation for the specified invitee, and create a new invitation.

Response

Created

id
string<uuid>

The ID of the invitation.

state
enum<string>

The invitation state.

Available options:
pending,
processing,
accepted,
cancelled,
error
project_id
string

The ID of the project.

role
enum<string>

The project role.

Available options:
admin,
viewer
email
string<email>

The email address of the invitee.

owner
object

The inviter.

created_at
string<date-time>

The date and time when the invitation was created.

updated_at
string<date-time>

The date and time when the invitation was last updated.

finished_at
string<date-time> | null

The date and time when the invitation was finished.

environments
object[]